%global svnrev 268289
%global svndate 20160502

# If you need to bootstrap this, turn this on.
# Otherwise, you have a loop with libcxxabi
%global bootstrap 0

Name:		libcxx
Version:	%{svndate}
Release:	2.svn%{svnrev}%{?dist}
Summary:	C++ standard library targeting C++11
License:	MIT or NCSA
URL:		http://libcxx.llvm.org/
# svn co http://llvm.org/svn/llvm-project/libcxx/trunk libcxx
# tar --exclude-vcs -cjf libcxx-20160502.tar.bz2 libcxx
Source0:	libcxx-%{svndate}.tar.bz2
BuildRequires:	clang llvm-devel cmake
%if %{bootstrap} < 1
BuildRequires:	libcxxabi-devel
%endif

%description
libc++ is a new implementation of the C++ standard library, targeting C++11.

%package devel
Summary:	Headers and libraries for libcxx devel
Requires:	%{name}%{?_isa} = %{version}-%{release}
%if %{bootstrap} < 1
Requires:	libcxxabi-devel
%endif


%description devel
%{summary}.

%prep
%setup -q -n %{name}

%build
mkdir _build
cd _build
%cmake .. \
	-DCMAKE_C_COMPILER=/usr/bin/clang \
	-DCMAKE_CXX_COMPILER=/usr/bin/clang++ \
	-DLLVM_CONFIG=%{_bindir}/llvm-config \
%if %{bootstrap} < 1
	-DLIBCXX_CXX_ABI=libcxxabi \
	-DLIBCXX_CXX_ABI_INCLUDE_PATHS=%{_includedir} \
%endif
%if %{__isa_bits} == 64
	-DLIBCXX_LIBDIR_SUFFIX:STRING=64 \
%endif
	-DCMAKE_BUILD_TYPE=RelWithDebInfo


make %{?_smp_mflags}

%install
cd _build
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE.TXT
%doc CREDITS.TXT TODO.TXT
%{_libdir}/libc++.so.*

%files devel
%{_includedir}/c++/
%{_libdir}/libc++.so

%changelog
* Mon May 2 2016 Tom Callaway <spot@fedoraproject.org> - 20160502-2.svn268289
- turn off bootstrap

* Mon May 2 2016 Tom Callaway <spot@fedoraproject.org> - 20160502-1.svn268289
- initial package
